"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SvelteFilterPlugin {
    constructor(transcriber) {
        this.m_Transcriber = transcriber;
    }
    Transcribe() {
        this.m_Transcriber.m_Path.node.body = this.m_Transcriber.m_Path.get("body").filter(each => each.isExportDefaultDeclaration() || each.isImportDeclaration()).map(each => each.node);
    }
}
exports.SvelteFilterPlugin = SvelteFilterPlugin;
