"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typedraft_1 = require("typedraft");
function TranslateImport(statements) {
    const translated = [];
    statements.forEach(each => {
        const node = each.node;
        const import_from = node.source.value;
        if (import_from.includes("svelte-types")) {
            return;
        }
        translated.push(node);
    });
    return translated.map(each => `${typedraft_1.ToString(each, {
        comments: false
    })}`).join("\n");
}
exports.TranslateImport = TranslateImport;
