"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const generator_1 = require("../generator/generator");
function TranslateTemplate(body) {
    const template = body.get("body").filter(each => IsTemplate(each)).map(each => each.get("expression"));
    const translated = template.map(each => new generator_1.TagGenerator(each).Generate());
    return translated.join("\n");
}
exports.TranslateTemplate = TranslateTemplate;
function IsTemplate(statement) {
    return statement.isExpressionStatement() && statement.get("expression").isJSXElement();
}
exports.IsTemplate = IsTemplate;
