import { NodePath } from "@babel/core";
import { JSXText, JSXElement } from "@babel/types";
export declare class TagGenerator {
    m_Tag: NodePath<JSXElement>;
    m_Fragments: Array<string>;
    Generate(): string;
    TraverseTag(tag: NodePath<JSXElement>): void;
    Append(fragment: string): void;
    TraverseText(text: NodePath<JSXText>): void;
    constructor(tag: NodePath<JSXElement>);
}
export interface IGenerator {
    Append: (fragment: string) => void;
    TraverseTag: (tag: NodePath<JSXElement>) => void;
    TraverseText: (text: NodePath<JSXText>) => void;
}
